Package org.oasis_open.docs.ns.xri.xrd_1

# Class LinkType

java.lang.Object
org.oasis_open.docs.ns.xri.xrd_1.LinkType

public class LinkType extends Object

Java class for LinkType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LinkType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Title"/>
             <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}Property"/>
             <any processContents='lax' namespace='##other'/>
           </choice>
           <attribute name="rel" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="template" type="{http://www.w3.org/2001/XMLSchema}string" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `href`
  `protected String`
  `rel`
  `protected String`
  `template`
  `protected List<Object>`
  `titleOrPropertyOrAny`
  `protected String`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHref()`
  Gets the value of the href property.
  `Map<QName,String>`
  `getOtherAttributes()`
  Gets a map that contains attributes that aren't bound to any typed property on this class.
  `String`
  `getRel()`
  Gets the value of the rel property.
  `String`
  `getTemplate()`
  Gets the value of the template property.
  `List<Object>`
  `getTitleOrPropertyOrAny()`
  Gets the value of the titleOrPropertyOrAny property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.
  `void`
  `setRel(String value)`
  Sets the value of the rel property.
  `void`
  `setTemplate(String value)`
  Sets the value of the template property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### titleOrPropertyOrAny

    protected List<Object> titleOrPropertyOrAny

  - ### rel

    protected String rel

  - ### type

    protected String type

  - ### href

    protected String href

  - ### template

    protected String template

- ## Constructor Details

  - ### LinkType

    public LinkType()

- ## Method Details

  - ### getTitleOrPropertyOrAny

    public List<Object> getTitleOrPropertyOrAny()
    Gets the value of the titleOrPropertyOrAny property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the titleOrPropertyOrAny property.

    For example, to add a new item, do as follows:

            getTitleOrPropertyOrAny().add(newItem);

    Objects of the following type(s) are allowed in the list `Object` `JAXBElement``<``PropertyType``>` `JAXBElement``<``TitleType``>` `Element`

  - ### getRel

    public String getRel()
    Gets the value of the rel property.
    Returns:
      possible object is `String`

  - ### setRel

    public void setRel(String value)
    Sets the value of the rel property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTemplate

    public String getTemplate()
    Gets the value of the template property.
    Returns:
      possible object is `String`

  - ### setTemplate

    public void setTemplate(String value)
    Sets the value of the template property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOtherAttributes

    public Map<QName,String> getOtherAttributes()
    Gets a map that contains attributes that aren't bound to any typed property on this class.

    the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

    Returns:
      always non-null